package io.gmss.fiscad.interfaces.infocad.metier;

import io.gmss.fiscad.entities.infocad.metier.ActeurConcerne;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface ActeurConcerneService {

    ActeurConcerne createActeurConcerne(ActeurConcerne acteurConcerne) throws BadRequestException;

    ActeurConcerne updateActeurConcerne(Long id, ActeurConcerne acteurConcerne) throws NotFoundException;

    void deleteActeurConcerne(Long id) throws NotFoundException;

    Page<ActeurConcerne> getActeurConcerneList(Pageable pageable);

    List<ActeurConcerne> getActeurConcerneList();

    Optional<ActeurConcerne> getActeurConcerneById(Long id);
}
